Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.api
Class BVAggregationInfo

    java.lang.Object
      jet.api.BLMeasureInfo
          jet.api.BVAggregationInfo

    public class BVAggregationInfo

extends BLMeasureInfo

The BVAggregationInfo object is similar to BLMeasureInfo but for a Business View. They define the aggregations or summaries that a user may want to see on a report or dashboard.

Aggregation objects are numeric elements that are calculated dynamically at run time. Aggregations can be used alone or calculated with other fields. An aggregation object can be inserted wherever a summary can be inserted. For instance, it can be inserted into the group header or footer panel in a table or banded object, or into a crosstab as an aggregate field. An aggregation object can also be used as a detail field in a banded object or table although it will display the same aggregate value for every detail line. JReport calculates values based on the group level at which the aggregation object is inserted such as total sales, average order size and number of orders from a customer.

Constructor Summary
`BVAggregationInfo(java.lang.String refMappingName, java.lang.String name)` Constructor.
`BVAggregationInfo(java.lang.String field, java.lang.String function, java.lang.String name)` Constructor.

Method Summary

Methods inherited from class jet.api.BLMeasureInfo
`addDetailInfo, getAggField, getAggFunction, getDescription, getDetailInfos, getDisplayName, getName, getPrompt, getRefMappingName, setAggField, setAggFunction, setDescription, setDisplayName, setName, setPrompt, setRefMappingName`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BVAggregationInfo

    public BVAggregationInfo(java.lang.String refMappingName,
                             java.lang.String name)

  Constructor. Creates a JReport Business View Aggregation.

  Parameters:
    `name` - Indicates the name of the Aggregation.
    `refMappingName` - Indicates the resource name referred by the Aggregation.

### BVAggregationInfo

    public BVAggregationInfo(java.lang.String field,
                             java.lang.String function,
                             java.lang.String name)

  Constructor. Creates a JReport Business View Aggregation.

  Parameters:
    `name` - Indicates the aggregation name.
    `field` - Indicates the field resource name of the aggregation.
    `function` - Indicates the function name of the aggregation.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD